package stringers

// |@@| C

import (
	"gardening/src/lib"
	"gardening/src/mdl"
)

type UserStringer struct {
}

func (this *UserStringer) ToString(user *mdl.User) (string, error) {
	if user == nil {
		return "", nil
	}
	return user.Name, nil
}
func (this *UserStringer) MustToString(entity *mdl.User) string {
	s, err := this.ToString(entity)
	lib.Poe(err)
	return s
}
